import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listApp(query) {
  return request({
    url: '/system/app/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getApp(id) {
  return request({
    url: '/system/app/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addApp(data) {
  return request({
    url: '/system/app',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateApp(data) {
  return request({
    url: '/system/app/put',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function delApp(id) {
  return request({
    url: '/system/app/delete/' + id,
    method: 'get'
  })
}
